commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jukka Zitting <jukka.zitt...@gmail.com>
Subject Re: [io] Version for Java 1.4
Date Mon, 09 Feb 2009 15:50:29 GMT
Hi,

On Sun, Feb 8, 2009 at 8:54 PM, Henri Yandell <flamefew@gmail.com> wrote:
> On Sun, Feb 8, 2009 at 5:04 AM, Niall Pemberton
>> I think the new Java5 stuff in trunk should be released as IO 2.0 - so
>> we could release a IO 1.5 version that is for JDK 1.4. Having said
>> that JDK 1.4 is so old now I don't really think we should bother
>> supporting it and just focus on getting a release of the latest stuff
>> out.
>
> +1.  1.4 is too dead, move JackRabbit off it ;)

Yeah. :-) Before Jackrabbit 2.0 later this year we'll probably still
do at least one more minor Jackrabbit 1.x release based on Java 1.4,
and it would be nice to have it depend on a recent Commons IO version.

However, this itch is not big enough that I'd volunteer to manually
backport changes to IO_1_4_BRANCH. A retrotranslated version of IO 2.0
would be nicer, or alternatively I'd copy and backport just the
relevant classes into the Jackrabbit codebase.

In any case I agree that having IO 2.0 out would be nice.

BR,

Jukka Zitting

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message